### Function

# Vte TerminalSpawnAsyncCallback

since: 0.48

#### Declaration

    void
    (* VteTerminalSpawnAsyncCallback) (
      VteTerminal* terminal,
      GPid pid,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Callback for vte_terminal_spawn_async().

On success, `pid` contains the PID of the spawned process, and `error` is `NULL`. On failure, `pid` is -1 and `error` contains the error information.

Available since: 0.48

#### Parameters

`terminal`

  Type: `VteTerminal`

  The `VteTerminal`.

  The data is owned by the caller of the function.

`pid`

  Type: `GPid`

  A `GPid`.

`error`

  Type: `GError`

  A `GError`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data that was passed to vte_terminal_spawn_async.

  The argument can be `NULL`.
  The data is owned by the caller of the function.